/* sdsl - succinct data structures library
    Copyright (C) 2009 Simon Gog 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see http://www.gnu.org/licenses/ .
*/
/*! \file suffixarrays.hpp
    \brief suffixarrays.hpp contains generic classes for different suffixarray classes.
	\author Simon Gog
*/
#ifndef INCLUDED_SDSL_SUFFIXTREES
#define INCLUDED_SDSL_SUFFIXTREES

/** \defgroup cst_group Compressed Suffix Trees */

#include "cst_sct.hpp"
#include "cst_sada.hpp"
#include "cst_uncompressed.hpp"

#endif
