#include <sdsl/bitmagic.hpp>
#include <iostream>
#include <iomanip>

using std::cout;
using std::endl;
using namespace sdsl;

int main(){
	cout<<"const uint8_t bit_magic:lookupr1BP[]={\n";
	for(uint64_t x=0; x < (1<<8); ++x){
		cout<<"0x"<<std::hex<<std::setfill('0')<<std::setw(2)<<bit_magic::r1BP(x);
		if(x+1!=(1<<8)) cout<<",";
		if(x%8==7)
			cout<<endl;
	}
	cout<<"};\n";
	return 0;
}
